GL.DataProvider 1.0.3

Data Provider hỗ trợ Sql server, Oracle, Odbc

Install-Package GL.DataProvider -Version 1.0.3
dotnet add package GL.DataProvider --version 1.0.3
<PackageReference Include="GL.DataProvider" Version="1.0.3" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add GL.DataProvider --version 1.0.3
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
        // TODO: This line of code loads data into the 'northwindDataSet.Customers' table. You can move, or remove it, as needed.
        //this.customersTableAdapter.Fill(this.northwindDataSet.Customers);
        //Option 1
        SqlHelper.ConnectionString = Settings.Default.ConnectionString;
        SqlHelper.Helper.Fill(CommandType.Text, "Select * from customers", northwindDataSet.Customers);
        //Option 2
        var sql = new SqlProvider(Settings.Default.ConnectionString);
        sql.Fill(CommandType.Text, "select * from customers", northwindDataSet.Customers);
        //Option 3
        var dao = new CustomersDA();
        dao.Fill(northwindDataSet.Customers);

Link Demo: https://github.com/tranhoangtam/GL.DataProvider.Demo

        // TODO: This line of code loads data into the 'northwindDataSet.Customers' table. You can move, or remove it, as needed.
        //this.customersTableAdapter.Fill(this.northwindDataSet.Customers);
        //Option 1
        SqlHelper.ConnectionString = Settings.Default.ConnectionString;
        SqlHelper.Helper.Fill(CommandType.Text, "Select * from customers", northwindDataSet.Customers);
        //Option 2
        var sql = new SqlProvider(Settings.Default.ConnectionString);
        sql.Fill(CommandType.Text, "select * from customers", northwindDataSet.Customers);
        //Option 3
        var dao = new CustomersDA();
        dao.Fill(northwindDataSet.Customers);

Link Demo: https://github.com/tranhoangtam/GL.DataProvider.Demo

Release Notes

Fix: Package 'Oracle.ManagedDataAccess' was restored using '.NETFramework,Version=v4.6.1' instead of the project target framework '.NETStandard,Version=v2.0'. This package may not be fully compatible with your project.
Use: Oracle.ManagedDataAccess.Core

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
1.0.3 75 6/23/2019
1.0.2 65 6/19/2019
1.0.1 62 6/16/2019
1.0.0 62 6/16/2019